#! /bin/bash

# list the BGP routes from the IS public route server, pull out
# just the IP addresses, and remove the /26-32 routes (i.e. 64
# hosts or less) since those are probably routers; then replace
# 0.0 with 0.0/16, and 0 with 0/24, add a semi-colon, and we're
# done.

# Create a bind ACL matching (most of) RSA
cat active-routes |
{
echo 'acl "southafrica" {'
	grep '^\*>' |
	awk '{print $2}' |
	egrep -v '/(32|31|30|29|28|27|26)$' |
	sed 's:\.0\.0$:\0/16: ; s:\.0$:\0/24: ; s/$/;/ ' |
	sort -n |
	uniq 
echo '};'
} > southafricaacl.inc

# Create a route add -net script ...
cat active-routes |
{
	grep '^\*>' |
	awk '{print $2}' |
	egrep -v '/(32|31|30|29|28|27|26)$' |
	sed 's:\.0\.0$:\0/16: ; s:\.0$:\0/24: ; s/^/route add -net /; s/$/ $VIA/ ' |
	sort -n |
	uniq 
} > route-to-rsa-via.sh

